Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234540 - embed an oo.o-draw (v2.0) object in an impress (v1.0) presentation = chaos
Summary: embed an oo.o-draw (v2.0) object in an impress (v1.0) presentation = chaos
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 21:27 UTC by Ben Levenson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 08:49:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 75905 None None None Never

Description Ben Levenson 2007-03-29 21:27:55 UTC
Description of problem:
oo.o v2.0 doesn't behave as expected when editing a v1.0 document.

Steps to Reproduce:
1. open an oo.o 1.0 presentation with oo.o 2.0
2. create a new slide with an object
3. double click to add the object and create an openoffice.org 2.0 drawing
4. use the flowchart images, connectors to create a diagram
5. label the flowchart shapes with some text
6. save the presentation and close it
7. reopen the presentation

Actual results:
flowchart images appear to be OK, but all of the connectors and text are
jumbled

Expected results:
no chaos

Additional info:
Everything works as expected if you open the v1.0 presentation and
save it as an odp document *before* you add the drawings.

I think this is a problem with embedding a v2.0 drawing in a v1.0 presentation.
When you "double click to add an object" you are only presented with 2.0
options, even though you are editing an v1.0 presentation.

Comment 1 Caolan McNamara 2007-03-30 08:49:57 UTC
reproducable, still affects the current 2.2.0 release of OOo as well. Moving
upstream to get input from the draw/impress developers.


Note You need to log in before you can comment on or make changes to this bug.